CREATE OR REPLACE FORCE EDITIONABLE VIEW "AROPS"."SOD_POLICY_VIOLATIONS_V" ("CASE_ID", "STATE", "CURRENT_VIOLATION", "POLICY_ID", "POLICY_NAME", "VIOLATOR_NAME", "VIOLATOR_TITLE", "SUSER", "SACCOUNT", "CONDITION_ID", "COND_TYPE", "COND_ORDER", "UNIQUE_ID", "ITEM_NAME", "ITEM_TYPE", "ITEM_ORDER") AS 
 SELECT sod_case_info.id case_id,
    sod_case_info.state,
    sod_case_info.current_violation,
    sod_case_info.policy policy_id,
    sod_case_info.policy_name,
    sod_case_info.violator_name,
    sod_case_info.violator_title,
    sod_violation.suser,
    sod_violation.saccount,
    sod_condition.id condition_id,
    sod_condition.type cond_type,
    sod_condition.cond_order,
    sod_condition_item.unique_id,
        CASE
            WHEN sod_condition_item.type = 'PERMISSION' THEN spermission.name
            ELSE role_policy.name
        END item_name,
    sod_condition_item.type item_type,
    sod_condition_item.item_order
   FROM sod_case_info
     LEFT JOIN sod_condition ON sod_condition.policy = sod_case_info.policy
     LEFT JOIN sod_condition_item ON sod_condition_item.condition = sod_condition.id
     LEFT JOIN sod_violation ON sod_violation.id = sod_case_info.current_violation
     LEFT JOIN spermission ON spermission.unique_permission_id = sod_condition_item.unique_id AND spermission.effective = '1' AND spermission.deleted = '0'
     LEFT JOIN role_policy ON role_policy.unique_policy_id = sod_condition_item.unique_id AND role_policy.deleted = '0'
  WHERE (sod_condition_item.unique_id IN ( SELECT DISTINCT spermission_1.unique_permission_id
           FROM saccount_user
             JOIN saccount_permission ON saccount_permission.saccount = saccount_user.saccount
             JOIN spermission spermission_1 ON spermission_1.id = saccount_permission.spermission
          WHERE
             saccount_user.saccount = sod_violation.saccount
             OR saccount_user.suser = sod_violation.suser))
       OR (sod_condition_item.unique_id IN ( SELECT DISTINCT role_policy_1.unique_policy_id
              FROM suser
                JOIN role_user ON role_user.suser = suser.id
                JOIN role_policy role_policy_1 ON role_policy_1.id = role_user.policy
              WHERE suser.id = sod_violation.suser))
  ORDER BY sod_case_info.id;